> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequentum.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent input parameters

> Returns the list of input parameters the agent expects, including whether each parameter is encrypted.

Use this endpoint to discover which parameters to pass when calling the start-run endpoint,
and which parameters are sensitive (encrypted at rest). For encrypted parameters the default
value is not returned, to avoid leaking secrets.



## OpenAPI

````yaml GET /api/v1/agent/{agentId}/input-parameters
openapi: 3.0.1
info:
  title: Sequentum Cloud API
  description: API endpoints for Sequentum Cloud
  version: v1
servers: []
security:
  - ApiKey: []
    Bearer: []
paths:
  /api/v1/agent/{agentId}/input-parameters:
    get:
      tags:
        - ApiAgent
      summary: Get input parameters for an agent
      description: >-
        Returns the list of input parameters the agent expects, including
        whether each parameter is encrypted.


        Use this endpoint to discover which parameters to pass when calling the
        start-run endpoint,

        and which parameters are sensitive (encrypted at rest). For encrypted
        parameters the default

        value is not returned, to avoid leaking secrets.
      parameters:
        - name: agentId
          in: path
          description: The ID of the agent
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Returns the list of input parameters
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentInputParameterApiModel'
        '401':
          description: If the API key is missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: If the agent is not found or user doesn't have access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    AgentInputParameterApiModel:
      type: object
      properties:
        name:
          type: string
          description: >-
            The parameter name to use when starting a run via the
            inputParameters field.
          nullable: true
        defaultValue:
          type: string
          description: "The default value for this parameter, or null if the parameter is encrypted.\r\nEncrypted parameter values are never exposed through the API."
          nullable: true
        isEncrypted:
          type: boolean
          description: "True if this parameter is stored encrypted at rest.\r\nWhen starting a run, callers can send plain text values for encrypted parameters\r\nand the server will encrypt them automatically."
      additionalProperties: false
      description: Describes an input parameter that an agent expects when starting a run.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    ApiKey:
      type: apiKey
      description: >-
        API Key authorization header. Example: "Authorization: ApiKey
        {your-api-key}"
      name: Authorization
      in: header
    Bearer:
      type: http
      description: 'OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"'
      scheme: bearer
      bearerFormat: JWT

````